Navigation Bars
===============

A representation of a navigation bar that sits at the top of your pages.

Usage
-----

You define your content walls in the Snippets > Navigation Bars section of the admin.  Once defined, your navigation bars will render on your page, stacked on top of each other.

Fields
------

**Name**: A unique name for your footer.  It can be anything, it is just used as a personal reference to easily tell them apart.
**Custom CSS class**: If you need to add a specific css class for this footer, add it here.
**Custom ID**: If you need to add a specific ID for this footer, add it here.
**Navigation Links**: A list of links to use for the navigation bar.

Navigation Links
----------------

Navigation links are a streamfield that allows you to craft different types of links in your navigation bar.  All of these link types have the following fields:
**Display text**: The text you want to use for the link. This is not necessary if you're using an **Image** as the link.
**Image**: The image you want to use for the link.  This is optional and only really used if you need some special image to be used as the link, something like a paypal donate button.
**Sub-links**: Optional field to determine any dropdown links attached to this link.

Page Link With Sub-Links
~~~~~~~~~~~~~~~~~~~~~~~~
**Page**: The page on your site that you want to link to.
**Show child pages**: Toggle to determine whether this link should automatically generate a dropdown that lists the **Page** children.

External Link With Sub-Links
~~~~~~~~~~~~~~~~~~~~~~~~~~~~
**URL**: The URL you want to link to.

Document Link With Sub-Links
~~~~~~~~~~~~~~~~~~~~~~~~~~~~
**Document**: The document you want to link to that will be downloaded.

Site Navbars
------------

In **Settings > CRX Settings**, select which Navbars you want to display on your site under the Site Navbars section.
